/ Platform API
Platform API
    Chat Platform API v3
    Chat Platform API
    Chat Platform API
    Version 3

    Check push notifications

    Copy link

    Shows whether the push notifications feature is turned on for an application.


    HTTP request

    Copy link
    GET https://api-{application_id}.sendbird.com/v3/applications/push/settings
    

    Note: If you are using the in-app channel in Delight AI agent, the endpoint for your API request should start with https://api-{application_id}.svc.delight.ai/v3 instead of https://api-{application_id}.sendbird.com/v3. For more details, refer to our Delight AI agent guide.


    Response

    Copy link

    If successful, this action returns information on whether the push notifications feature is turned on for the specified applications in the response body.

    {
        "include_channel_unread_count": true,
        "always_push": true,
        "use_apns_thread_id": true,
        "push_enabled": true
    }
    

    In the case of an error, an error object is returned. A detailed list of error codes is available here.